<ion-card>
  <ion-card-header>
    <ion-card-title>Edit</ion-card-title>
  </ion-card-header>
  <ion-card-content>

    <ion-item>
      <ion-label position="floating">
        Title
      </ion-label>
      <ion-input #titleInput id="newEntryTitleInput" (change)="onTitleChange();" (input)="onTitleChange();" [value]=entry?.title>
      </ion-input>
    </ion-item>

    <ion-item>
      <ion-label position="floating">
        Amount
      </ion-label>
      <app-amount-input #amountInput [value]=entry?.absolute_amount></app-amount-input>
    </ion-item>

    <ion-item>
      <ion-label>
        <ion-icon name="calendar" slot="start"></ion-icon> Date
      </ion-label>
      <ion-datetime #dateInput value="{{entry?.date}}" display-format="DD.MM.YYYY" id="newEntryDateInput"></ion-datetime>
    </ion-item>

    <ion-item>
      <app-category-selection #categoryInput></app-category-selection>
    </ion-item>

    <ion-item>
      <ion-label position="floating">
        Description
      </ion-label>
      <ion-textarea #descriptionInput id="newEntryDescriptionInput" [value]=entry?.description>
      </ion-textarea>
    </ion-item>

    <ion-button #submitButton (click)=submit();>Submit</ion-button>

  </ion-card-content>
</ion-card>
